fastapiを使用しCSVファイルからAPIを作成できる「fastapi-csv」のインストール

【Python】fastapiを使用しCSVファイルからAPIを作成できる「fastapi-csv」のインストールについて解説しています。

「fastapi-csv(https://github.com/jrieke/fastapi-csv)」は、fastapiを使用し、CSVファイルから数秒以内にAPIを作成することができます。

■Python

今回のPythonのバージョンは、「3.8.5」を使用しています。(Windows10)(pythonランチャーでの確認)

■fastapi-csvをインストールする

fastapi-csvをインストールを行いますが、今回はpipを経由してインストールを行うので、まずWindowsのコマンドプロンプトを起動します。

pip install fastapi-csv

起動後、上記のコマンドを入力し、Enterキーを押します。

なお、今回は、pythonランチャーを使用しており、Python Version 3.8.5にインストールを行うために、pipを使う場合にはコマンドでの切り替えを行います。

py -3.8 -m pip install fastapi-csv

切り替えるために、上記のコマンドを入力し、Enterキーを押します。

Defaulting to user installation because normal site-packages is not writeable
Collecting fastapi-csv
Downloading fastapi_csv-0.1.0-py3-none-any.whl (7.3 kB)
Requirement already satisfied: typer in c:\users\user_\appdata\roaming\python\python38\site-packages (from fastapi-csv) (0.4.0)
Requirement already satisfied: pydantic in c:\users\user_\appdata\roaming\python\python38\site-packages (from fastapi-csv) (1.9.0)
Requirement already satisfied: uvicorn in c:\users\user_\appdata\roaming\python\python38\site-packages (from fastapi-csv) (0.15.0)
Requirement already satisfied: numpy in c:\users\user_\appdata\roaming\python\python38\site-packages (from fastapi-csv) (1.21.5)
Requirement already satisfied: pandas in c:\users\user_\appdata\roaming\python\python38\site-packages (from fastapi-csv) (1.2.4)
Requirement already satisfied: fastapi in c:\users\user_\appdata\roaming\python\python38\site-packages (from fastapi-csv) (0.68.1)
Requirement already satisfied: starlette==0.14.2 in c:\users\user_\appdata\roaming\python\python38\site-packages (from fastapi->fastapi-csv) (0.14.2)
Requirement already satisfied: typing-extensions>=3.7.4.3 in c:\users\user_\appdata\roaming\python\python38\site-packages (from pydantic->fastapi-csv) (3.7.4.3)
Requirement already satisfied: python-dateutil>=2.7.3 in c:\users\user_\appdata\roaming\python\python38\site-packages (from pandas->fastapi-csv) (2.8.2)
Requirement already satisfied: pytz>=2017.3 in c:\users\user_\appdata\roaming\python\python38\site-packages (from pandas->fastapi-csv) (2021.3)
Requirement already satisfied: click<9.0.0,>=7.1.1 in c:\users\user_\appdata\roaming\python\python38\site-packages (from typer->fastapi-csv) (8.0.4)
Requirement already satisfied: h11>=0.8 in c:\users\user_\appdata\roaming\python\python38\site-packages (from uvicorn->fastapi-csv) (0.12.0)
Requirement already satisfied: asgiref>=3.4.0 in c:\users\user_\appdata\roaming\python\python38\site-packages (from uvicorn->fastapi-csv) (3.4.1)
Requirement already satisfied: colorama in c:\users\user_\appdata\roaming\python\python38\site-packages (from click<9.0.0,>=7.1.1->typer->fastapi-csv) (0.4.4)
Requirement already satisfied: six>=1.5 in c:\users\user_\appdata\roaming\python\python38\site-packages (from python-dateutil>=2.7.3->pandas->fastapi-csv) (1.15.0)
Installing collected packages: fastapi-csv
Successfully installed fastapi-csv-0.1.0

Enterキーを押すと、インストールが開始され、上記のように「Successfully installed」と表示されます。これが表示されれば、fastapi-csvが正常にインストールされたことになります。

なお、今回はfastapi-csvのバージョン0.1.0をインストールしました。

コメント

タイトルとURLをコピーしました